# Mailing list

* [How To Create a List ](#how-to-create-a-list)
* [How to Automate Lists ](#how-to-automate-lists)
* [How to work with lists  manually](#how-to-manually-work-with-lists)
* [How to move clients from other platforms](#how-to-move-clients-from-other-platforms)

![](/files/GUCWkTSwKkm2zwYUjFZQ)

## How To Create a List&#x20;

Lists are created in the same section

&#x20;                                              ![](/files/Djysk1l6lCPxM727bIR7)

![](/files/CvSrctyZb6YmQV3ZEIhR)

## How to Automate Lists&#x20;

### Visual interface&#x20;

You can automatically add, remove, and move clients to the lists while the chat bot is running.&#x20;

To do this, there are fields in the advanced settings of the block:

&#x20;                                           ![](/files/PzdQCl0hWnDeiN9Q5uTW)

Below you can select the list with which you want to perform the action.

&#x20;                                           ![](/files/Js1eM20VHJHU8QMGWHCC)

### Text interface&#x20;

The convenience of the text interface lies in the flexibility of the features. For example, adding a client to multiple lists at the same time.&#x20;

The list number is shown to the left of the list, in the screenshot - 60267

&#x20;                                          ![](/files/sa54XLQNkLphaY08zWIw)

#### Checking the presence of a person on the list&#x20;

The first condition will work if the client is listed, the second if not listed

`inlist(list number) == True или inlist(list number) == False`

![](/files/CkZoS3CSi0kaZcBQcvFy)

Further commands are entered in the "Calculator" field

&#x20;                                                ![](/files/CDfqksFZA9LILAYIdAsg)

#### Add to the list

`add_to_list(list number)`

&#x20;                                               ![](/files/9QovfMOuEXAPcNijFC7U)

#### Remove from the list

`remove_from_list(list number)`&#x20;

&#x20;                                               ![](/files/ojOcrWtBu8C9uEExvyfp)

**Move to the list**

`move_to_list(list number)`

&#x20;                                                ![](/files/6RhfIauy5BYYzIptgAOM)

When moving, the person will be removed from all lists and added to the selected one.

#### List size check

`list_size(list number)`

&#x20;                                                  ![](/files/cMhHwIEPUmpyAySMu4Yj)

Returns the number of people on the list

## How to manually work with lists&#x20;

### Loading Clients to the List&#x20;

You can manually download clients by filtering them in the form, from a file or from another list.

&#x20;                                         ![](/files/ulml78AeiKt7QBbJIE3y)

![](/files/LJuLAjL9K1wgWY2aOLS7)

### Removing Clients from the List&#x20;

By the same principle, you can remove clients from the list. For example, you can exclude those on another list.

&#x20;                                              ![](/files/ZjKu4HrNuEcOJRTOnMOt)

![](/files/f8YnTNJ9MVZKjc1MW7qi)

### How to move clients from other platforms&#x20;

When downloading clients from other platforms, you can choose one or more lists where clients will be downloaded.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mavibot.ai/mailings-staroe/mailing-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
